#[derive(Debug, Clone)]
pub enum DvmConstant {
    String(String),
    Array(DvmConstantArray)
}

#[derive(Debug, Clone)]
pub enum DvmConstantArray {
    Bytes(Vec<u8>),
    Ints(Vec<i32>),
    Longs(Vec<i64>),
    Doubles(Vec<f64>),
    USizes(Vec<usize>),
    Booleans(Vec<bool>),
    Strings(Vec<String>),
    Arrays(Vec<DvmConstantArray>)
}